=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2011-02-18 13:01:03 +0000
+++ tests/test_commit.py	2011-08-27 13:06:14 +0000
@@ -26,6 +26,10 @@
     uncommit,
     )
 try:
+    from bzrlib.tests.features import UnicodeFilenameFeature
+except ImportError: # bzr < 2.5
+    from bzrlib.tests import UnicodeFilenameFeature
+try:
     from bzrlib import bencode
 except ImportError:
     from bzrlib.util import bencode
@@ -1031,7 +1035,7 @@
                          bencode.bdecode(file_info.encode('UTF-8')))
 
     def test_commit_unicode_messages(self):
-        self.requireFeature(tests.UnicodeFilenameFeature)
+        self.requireFeature(UnicodeFilenameFeature)
 
         tree = self.make_branch_and_tree('tree')
         tree.branch.get_config().set_user_option('per_file_commits', 'true')

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2011-02-18 13:01:03 +0000
+++ tests/test_diff.py	2011-08-27 13:06:14 +0000
@@ -23,6 +23,10 @@
     errors,
     tests,
     )
+try:
+    from bzrlib.tests.features import UnicodeFilenameFeature
+except ImportError: # bzr < 2.5
+    from bzrlib.tests import UnicodeFilenameFeature
 from bzrlib.merge_directive import MergeDirective2
 
 from bzrlib.plugins.gtk.diff import (
@@ -73,7 +77,7 @@
 class TestDiffView(tests.TestCaseWithTransport):
 
     def test_unicode(self):
-        self.requireFeature(tests.UnicodeFilenameFeature)
+        self.requireFeature(UnicodeFilenameFeature)
 
         tree = self.make_branch_and_tree('tree')
         self.build_tree([u'tree/\u03a9'])

